Name:           libcddb
Summary:        CDDB access library
Summary(de):    CDDB zugriffs Bibliothek
Version:        0.9.6
Release:        1
Copyright:      GPL
Group:          Development/Libraries
Url:            http://libcddb.sourceforge.net/

Source0:        libcddb-%{version}.tar.bz2

Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Libcddb is a library that implements the different protocols
(CDDBP, HTTP, SMTP) to access data on a CDDB server (http://freedb.org).
It tries to be as cross-platform as possible.

%package devel
Summary:        libcddb development package
Summary(de):    libcddb Entwicklerpaket
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
libcddb development package

%prep
%setup -q

%build
%configure
%__make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -r $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL NEWS THANKS TODO
%{_bindir}/cddb_query
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%doc ChangeLog COPYING README
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/cddb/*
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Sep 18 2004 Jason Luka <vlc-devel@videolan.org>
- Rebuilt for Fedora 2
- Update to 0.9.5
* Fri Nov 28 2003 Jason Luka <vlc-devel@videolan.org>
- Rebuilt for Fedora 1
* Mon Jun 23 2003 Ralf Corsepius <ralf@links2linux.de>
- Add cddb_query to main package
- Add *.pc to devel-package
* Mon Jun 04 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.9.4
* Tue May 27 2003 Ralf Corsepius <ralf@links2linux.de>
- RedHat 9
- Remove duplcate NEWS from %doc
* Fri Apr 25 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first spec file
