### autogenerated---edit .spec.in
### $Id: vcdimager.spec.in,v 1.23 2004/02/15 18:05:15 rocky Exp $

%define  RELEASE      1
%define  rel          %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define  spec_version 0.7.20
%define  dist_version 0.7.20

Summary:        (Super)Video CD image mastering and ripping tool
Summary(de):    (Super)Video CD Image erstellungs- und ripp-Tool
Name:           vcdimager
License:        GPL
%if "%{_vendor}" == "suse"
Group:          Productivity/Multimedia/CD/Record
%else
Group:          Application/Multimedia
%endif
Version:        %{spec_version}
Release:        %rel
Packager:       Herbert Valerio Riedel <hvr@gnu.org>
#Source:         http://www.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz
Source:         http://alpha.gnu.org/pub/gnu/%{name}/%{name}-%{dist_version}.tar.gz
#URL:            http://www.gnu.org/software/vcdimager/
URL:            http://www.vcdimager.org/
Requires:       libxml2 >= 2.3.8
Requires:       libcdio >= 0.66
BuildPrereq:    libxml2-devel >= 2.3.8
BuildPrereq:    popt >= 1.6
BuildPrereq:    libcdio-devel >= 0.66
BuildPrereq:    texinfo
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
GNU VCDImager is a full-featured mastering suite for authoring,
disassembling and analyzing Video CD's and Super Video CD's.

The core functionality consists of directly making Video CD
BIN/CUE-style CD images from mpeg files, which (after being written to
CDR(W) media) can be played on standalone VCD players or DVD players
and on computers running GNU/Linux, MacOS, Win32 or any other OS
capable of accessing VCD's. BIN/CUE images can be burned with [cdrdao]
(please use a recent version, since older ones do not support
BIN/CUE-style cuesheets) under GNU/Linux (and other supported
platforms by cdrdao, e.g. FreeBSD, Irix, Solaris and even win32)

vcdimager   generates simple pbc-less VCD and SVCD disc images directly
vcd-info    Enhanced vcddebug tool.
vcdxgen     XML VCD-description generator
vcdxbuild   Builds a VCD/SVCD according to a supplied XML control file.
vcdxrip     Reverses the process for a given VCD or SVCD disc.
vcdxminfo   Debugging tool for displaying MPEG stream properties.
cdxa2mpeg   Simple tool for converting RIFF CDXA file to plain mpeg.

Authors:
--------
    Herbert Valerio Riedel <hvr@gnu.org>
    Rocky Bernstein <rocky@panix.com>

%description -l de
GNU VCDImager ist eine vollwertige Suite zum erstellen, mastern,
entpacken und analysieren von Video CDs und Super Video CDs.

Die Basisfunktion ist die direkte Erstellung von Video CD BIN/CUE
CD Image-Dateien aus MPEG-Dateien, welche sich (nachdem sie auf
CDR(W) gebrannt wurden) von VCD oder DVD Abspielger¤ten und Computern
mit GNU/Linux, MacOS, Win32 oder irgendeinem anderen OS, welche in
der Lage sind, VCDs abzusielen, abgespielt werden k¶nnen. BIN/CUE
Image-Dateien k¶nnen von [cdrdao] (bitte nutzen sie aktuelle Versionen,
¤ltere unterst¼tzen keine BIN/CUE artigen cuesheets) unter GNU/Linux
(und anderen von cdrdao unterst¼tzten Platform, wie z.B. freeBSD,
Irix, Solaris und auch Win32) gebrannt werden.

vcdimager   generiert direkt einfache pbc-lose VCD oder SVCD Image-Dateien
vcdxgen     XML VCD-Beschreibungsgenerator
vcdxbuild   Erstellt eine VCD/SVCD entsprechend einer XML-Kontrollfile Vorgabe.
vcdxrip     Kehrt dem Prozess um und erstellt eine MPEG-Datei aus eine VCD/SVCD.
vcdxminfo   Debuggingtool zur Anzeige von MPEG Eigenschaften.
cdxa2mpeg   Einfaches tool zur Konvertierung von RIFF CDXA Dateien in MPEG.

Autor:
------
    Herbert Valerio Riedel <hvr@gnu.org>
    Rocky Bernstein <rocky@panix.com>

%package -n libvcd
Summary:        (Super)Video CD image mastering and ripping tool - Libraries
Summary(de):    (Super)Video CD Image erstellungs- und ripp-Tool - Bibliotheken
Group: Development/Libraries
Requires:       libcdio >= 0.66
BuildRequires:  libcdio-devel >= 0.66

%description -n libvcd
Libraries for vcdimager

%description -n libvcd -l de
Bibliotheken f¼r vcdimager

%package -n libvcd-devel
Summary:        (Super)Video CD image mastering and ripping tool - development package
Summary(de):    (Super)Video CD Image erstellungs- und ripp-Tool - Entwicklerpaket
Group: Development/Libraries
Requires: libvcd = %{version}-%{release}

%description -n libvcd-devel
Development files for vcdimager

%description -n libvcd-devel -l de
Entwicklderdateien f¼r vcdimager

%prep
%setup -q -n %{name}-%{dist_version}

%build
%configure
make all
#make -C docs/ vcdimager.ps.gz vcddump.ps.gz

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING FAQ INSTALL NEWS README THANKS TODO frontends/xml/videocd.dtd
%{_bindir}/*
%doc %{_infodir}/vcd*
%doc %{_mandir}/man1/*

%files -n libvcd
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n libvcd-devel
%defattr(-, root, root)
%{_includedir}/libvcd
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*.pc

%changelog -n vcdimager
* Sun Feb 15 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- some little changes

* Sat Feb 14 2004 Rocky Bernstein <rocky@panix.com>
- require libcdio 0.66

* Tue Sep 09 2003 Frantisek Dvorak <valtri@atlas.cz>
- versions of tarball and rpm differ
- remove some duplicate items

* Sun Aug 10 2003 Rocky Bernstein <rocky@panix.com>
- one more fix from Manfred Tremmel <Manfred.Tremmel@iiv.de>
  at http://www.iiv.de/schwinde/buerger/tremmel/

* Wed Aug 06 2003 Rocky Bernstein <rocky@panix.com>
- fixes from Manfred Tremmel <Manfred.Tremmel@iiv.de>
  at http://www.iiv.de/schwinde/buerger/tremmel/

* Sat Aug 03 2003 Rocky Bernstein <rocky@panix.com>
- minor spec cleanups

* Sat Jan 04 2002 Herbert Valerio Riedel <hvr@gnu.org>
- minor spec cleanups

* Sat Jan 20 2001 Herbert Valerio Riedel <hvr@gnu.org>
- added THANKS file as doc

* Thu Jan  4 2001 Herbert Valerio Riedel <hvr@gnu.org>
- fixed removal of info pages on updating packages

* Sat Dec 23 2000 Herbert Valerio Riedel <hvr@gnu.org>
- added vcdrip
- removed glib dependancy

* Sat Aug 26 2000 Herbert Valerio Riedel <hvr@gnu.org>
- spec file improvements

* Mon Aug 14 2000 Herbert Valerio Riedel <hvr@gnu.org>
- first spec file
